
From: Adrian Bunk <bunk@stusta.de>

The patch below makes four needlessly global functions static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Acked-by: William Irwin <wli@holomorphy.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/hugetlbfs/inode.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN fs/hugetlbfs/inode.c~fs-hugetlbfs-inodec-make-4-functions-static fs/hugetlbfs/inode.c
--- 25/fs/hugetlbfs/inode.c~fs-hugetlbfs-inodec-make-4-functions-static	2005-01-10 17:29:39.540875792 -0800
+++ 25-akpm/fs/hugetlbfs/inode.c	2005-01-10 17:29:39.544875184 -0800
@@ -168,7 +168,7 @@ static int hugetlbfs_commit_write(struct
 	return -EINVAL;
 }
 
-void huge_pagevec_release(struct pagevec *pvec)
+static void huge_pagevec_release(struct pagevec *pvec)
 {
 	int i;
 
@@ -178,7 +178,7 @@ void huge_pagevec_release(struct pagevec
 	pagevec_reinit(pvec);
 }
 
-void truncate_huge_page(struct page *page)
+static void truncate_huge_page(struct page *page)
 {
 	clear_page_dirty(page);
 	ClearPageUptodate(page);
@@ -186,7 +186,7 @@ void truncate_huge_page(struct page *pag
 	put_page(page);
 }
 
-void truncate_hugepages(struct address_space *mapping, loff_t lstart)
+static void truncate_hugepages(struct address_space *mapping, loff_t lstart)
 {
 	const pgoff_t start = lstart >> HPAGE_SHIFT;
 	struct pagevec pvec;
@@ -495,7 +495,7 @@ static int hugetlbfs_symlink(struct inod
 /*
  * For direct-IO reads into hugetlb pages
  */
-int hugetlbfs_set_page_dirty(struct page *page)
+static int hugetlbfs_set_page_dirty(struct page *page)
 {
 	return 0;
 }
_
